.TH AR3CMONITOR "1" "March 2008" "ar3cmonitor" "User Commands"
.SH NAME
ar3cmonitor \- klient systemu wizualizacji AR-3c
.SH SYNOPSIS
.B ar3cmonitor
[\fIoptions\fR] [\fIhost\fR] [\fIport\fR]
.SH DESCRIPTION
ar3cmonitor jest klientem systemu wizualizacji AR-3c.

.SH OPTIONS
.TP
\fB\-\-acacheopt\fR
wczy optymalizacje AnalogCache (EKSPERYMENTALNE)
.TP
\fB\-\-conf\-locale\fR
ustaw jzyk konfiguracji (np. pl_PL, ru_RU)
.TP
\fB\-\-encoding\fR
ustaw kodowanie konfiguracji
.TP
\fB\-\-fullscreen\fR
poka na penym ekranie
.TP
\fB\-h\fR, \fB\-\-help\fR
poka t pomoc
.TP
\fB\-\-lang\fR
ustaw jzyk interfejsu (np. pl)
.TP
\fB\-\-maximize\fR
poka zmaksymalizowany
.TP
\fB\-\-mem\fR low high
ustaw dolny i grny prg uycia pamici
.TP
\fB\-m\fR, \fB\-\-menu\fR
poka menu
.TP
\fB\-n\fR, \fB\-\-scheme\fR
wybiesz schemat (domylnie 0, \fB\-1\fR dla pominicia wyboru schematu)
.TP
\fB\-\-off\-update\-ival\fR
zmie okres odwierzania dla trybu offline (ms)
.TP
\B\-\-password\fR password
uyj hasa dla uytkownika anonimowego
.TP
\fB\-\-rlimit\fR limit
ustaw limit rwnoczenie wykonywanych rzda (eksperymentalne, domylnie 1)
.TP
\fB\-\-update\-ival\fR
zmie okre odwierzania (ms)
.TP
\fB\-V\fR, \fB\-\-version\fR
poka wersje

.SH EXAMPLES

Podczenie do ar3cctrl na 192.168.2.100 na domylnym porcie:

ar3cmonitor 192.168.2.100

Uycie jzyka pl do interfejsu uytkownika oraz Rosyjskiego dla konfiguracji:

ar3cmonitor --lang pl --conf-locale ru_RU 192.168.2.100

.SH AUTHOR
Krzysztof Mazur <krzysiek@podlesie.net>
.SH "SEE ALSO"
.BR ar3cctrl (1)
