//
// C++ Interface: timescale
//
// Description: 
//
//
// Author: Szymon Acedanski <accek@podlesie.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef BUFFEREDWIDGET_H_INCLUDED
#define BUFFEREDWIDGET_H_INCLUDED

#include <qwidget.h>

class BufferedWidget : public QWidget {
	Q_OBJECT
#if QT_VERSION < 0x40000
	QColor bgcolor;
#endif

private:
	void paintEvent(QPaintEvent *ev);

protected:
	virtual void paint(QPainter *p) = 0;
	void keyPressEvent(QKeyEvent *e);

public:
	BufferedWidget(QWidget *parent = 0, const char *name = 0,
			Qt::WFlags f = 0);

#if QT_VERSION < 0x40000
	void setBackgroundColor(QColor color);
	QColor getBackgroundColor() const;
#endif
};

#endif
