/*
 * ar3cmonitor - hide.h
 *
 * Widget hidding
 *
 * Copyright (C) 2006..2012  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef HIDEWIDGET_H_INCLUDED
#define HIDEWIDGET_H_INCLUDED

#include <qwidget.h>

class HideWidget : public QWidget {
	Q_OBJECT
private:
	QWidget *widget;
	int not_cond;
	int physical;

public:
	HideWidget(int _physical, int _not_cond, QWidget *_widget,
			QWidget *parent = 0, const char *name = 0,
			Qt::WFlags f = 0);

public slots:
	void update_data();
};

#endif
